# List

Launch stage: Beta

`GET /api/2.0/identity/accounts/{account_id}/workspaces/{workspace_id}/workspace-assignments`

Lists workspace assignments for a workspace. The response omits the per-principal
 entitlement fields (`entitlements` and `effective_entitlements`). To read the entitlements for
 a single principal, get that principal's assignment.

API scopes: identity

## Path parameters

- `account_id` (string, optional)
  Required. The account ID for which the workspace assignments are being fetched.
- `workspace_id` (int64, optional)
  Required. The workspace ID for which the workspace assignments are being fetched.

## Query parameters

- `page_size` (int32, optional)
  The maximum number of workspace assignments to return. The service may return fewer than this value.
- `page_token` (string, optional)
  A page token, received from a previous ListWorkspaceAssignments call. Provide this to retrieve the subsequent page.

## Returns

Returns a list of WorkspaceAssignment objects.

## Response

```json
{
  "workspace_assignments": [
    {
      "principal_type": "string",
      "principal_id": 0,
      "workspace_id": 0,
      "account_id": "string",
      "entitlements": [
        "string"
      ],
      "effective_entitlements": [
        "string"
      ]
    }
  ],
  "next_page_token": "string"
}
```

